Name: kde-admin
Summary: Administration Applications for K Desktop
Version: 0.12.2
Release: 1 
Source100: ftp.kde.org:/pub/kde/apps/kde-admin.tar.gz
Group: X11/K Desktop Environment/Admin
BuildRoot: /tmp/kde-admin
Copyright: GPL
Requires: qt >= 1.2, libgr, kde >= 0.12.2

%description
Administration applications for the K Desktop Environment.  Current applications in this package are: kfsstatus, klpq, krpm, ksamba and ktop.
ksamba and ktop have their SUID bit turned on, which could cause security problems.  What SUID does it let these
applications run as root and therefore can access and change all files needed.

%prep
%setup -T -c -a 100

%build
export KDEDIR=/opt/kde

rm -rf $RPM_BUILD_ROOT

cd kde-admin
./configure --prefix=$RPM_BUILD_ROOT$KDEDIR
make KDEDIR=$KDEDIR
make KDEDIR=$RPM_BUILD_ROOT$KDEDIR install
cd ..


%install
export KDEDIR=/opt/kde

cd $RPM_BUILD_ROOT$KDEDIR

%clean
rm -rf $RPM_BUILD_ROOT

%post
chmod +s /opt/kde/bin/ktop
chmod +s /opt/kde/bin/ksamba 

%files
%doc kde-admin/doc/README kde-admin/doc/COPYING 
%doc kde-admin/doc/krpm kde-admin/doc/ksamba kde-admin/doc/ktop kde-admin/doc/kfsstatus
/opt/kde/apps 
/opt/kde/bin
/opt/kde/doc
